Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.map
Class FixedSizeMap

    java.lang.Object
      org.apache.commons.collections.map.AbstractMapDecorator
          org.apache.commons.collections.map.FixedSizeMap

All Implemented Interfaces:
  java.io.Serializable, java.util.Map, BoundedMap

    public class FixedSizeMap

extends AbstractMapDecorator
implements java.util.Map, BoundedMap, java.io.Serializable

Decorates another `Map` to fix the size, preventing add/remove.

Any action that would change the size of the map is disallowed. The put method is allowed to change the value associated with an existing key however.

If trying to remove or clear the map, an UnsupportedOperationException is thrown. If trying to put a new mapping into the map, an IllegalArgumentException is thrown. This is because the put method can succeed if the mapping's key already exists in the map, so the put method is not always unsupported.

Note that FixedSizeMap is not synchronized and is not thread-safe. If you wish to use this map from multiple threads concurrently, you must use appropriate synchronization. The simplest approach is to wrap this map using `Collections.synchronizedMap(Map)`. This class may throw exceptions when accessed by concurrent threads without synchronization.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne, Paul Jack
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`map`

Constructor Summary
`protected` | `FixedSizeMap(java.util.Map map)` Constructor that wraps (not copies).

Method Summary
`void` | `clear()`
`static java.util.Map` | `decorate(java.util.Map map)` Factory method to create a fixed size map.
`java.util.Set` | `entrySet()`
`boolean` | `isFull()` Returns true if this map is full and no new elements can be added.
`java.util.Set` | `keySet()`
`int` | `maxSize()` Gets the maximum size of the map (the bound).
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map mapToCopy)`
`java.lang.Object` | `remove(java.lang.Object key)`
`java.util.Collection` | `values()`

Methods inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`containsKey, containsValue, equals, get, getMap, hashCode, isEmpty, size, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FixedSizeMap

    protected FixedSizeMap(java.util.Map map)

  Constructor that wraps (not copies).

  Parameters:
    `map` - the map to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if map is null

Method Detail

### decorate

    public static java.util.Map decorate(java.util.Map map)

  Factory method to create a fixed size map.

  Parameters:
    `map` - the map to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if map is null

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `AbstractMapDecorator`

### putAll

    public void putAll(java.util.Map mapToCopy)

  Specified by:
    `putAll` in interface `java.util.Map`
  Overrides:
    `putAll` in class `AbstractMapDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`
  Overrides:
    `clear` in class `AbstractMapDecorator`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`
  Overrides:
    `remove` in class `AbstractMapDecorator`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`
  Overrides:
    `entrySet` in class `AbstractMapDecorator`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`
  Overrides:
    `keySet` in class `AbstractMapDecorator`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`
  Overrides:
    `values` in class `AbstractMapDecorator`

### isFull

    public boolean isFull()

  Description copied from interface: `BoundedMap`
  Returns true if this map is full and no new elements can be added.

  Specified by:
    `isFull` in interface `BoundedMap`
  Returns:
    `true` if the map is full

### maxSize

    public int maxSize()

  Description copied from interface: `BoundedMap`
  Gets the maximum size of the map (the bound).

  Specified by:
    `maxSize` in interface `BoundedMap`
  Returns:
    the maximum number of elements the map can hold

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.